#ifndef vumeter_h
#define vumeter_h

#include <string.h>
#include <pthread.h>
#include <unistd.h>
#include <stdio.h>
#include <sys/ioctl.h>
#include <sys/soundcard.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#define AUDIO_BUF_SIZE 4096

class vumeter
{
public:

	vumeter(void(*p_valcb)(int),const char* dev);
	virtual ~vumeter();

	void* thrCycle();

private:

	void(*mp_valcb)(int);
	int m_audio_fd;
	
	pthread_t m_tid1,m_tid2;
	bool m_run;
	static void* EntryPoint(void* pThis);
};

#endif
